#mage tower spectre
from eventAPI import getTag, setTag
from APIUtils import showMessage, showPicture

mSpec6 = 0

def fireEvent(e):
    spec = getTag(e, "mSpec6")

    if(spec == 0):
        showPicture(e, "Spectre")
        showMessage(e,
            ["A spectre appears, saying:",
             "\"You're almost there, only one more to go and you'll be done.\""])
        setTag(e, "mSpec6", 1)
    return 1
